<Manage::Container ...attributes {{did-insert this.setup}} @title={{capitalize (t "new page")}} @breadcrumbs={{@breadcrumbs}}>
  <:content>
    {{#unless @spaces}}
      <Manage::Row>
        <div class="alert alert-danger" role="alert">
          <p>{{capitalize (t "space-needed-message")}}</p>
          <LinkTo @route="manage.spaces.add" @query={{hash next="add.page"}} class="btn btn-secondary btn btn-add-space">
            <FaIcon @icon="plus" />
            {{capitalize (t "space")}}
          </LinkTo>
        </div>
      </Manage::Row>
    {{/unless}}

    <Manage::RowAdd @name="name" as |id|>
      <Input id={{id}} class="form-control input-name" @value={{@page.name}} placeholder={{capitalize (t "what is the page name?")}} />
    </Manage::RowAdd>

    <Manage::RowAdd @name="path" as |id|>
      <Input::PageSlug @id={{id}} @value={{@page.slug}} @onChange={{fn this.change "slug"}} />
    </Manage::RowAdd>

    {{#if this.showSpaces}}
      <Manage::RowAdd @name="space" as |id|>
        {{#if @spaces}}
          {{#if this.user.isAdmin}}
            <Manage::SelectWithVisibility @id={{id}} @list={{@spaces}} @value={{@page.space}} @onChange={{fn this.change "space"}} @areAllShowing={{@all}} @toggleAll={{@onToggleAll}} />
          {{else}}
            <Input::Select id={{id}} @list={{@spaces}} @value={{@page.space}} @onChange={{fn this.change "space"}} />
          {{/if}}
        {{else}}
          <LinkTo @route="manage.spaces.add" @query={{hash next="manage.pages.add"}} class="btn btn-secondary btn btn-add-space">
            <FaIcon @icon="plus" />
            {{capitalize (t "space")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>
    {{/if}}

    <Manage::Row @name="add">
      <Input::Button class="btn btn-primary btn-submit" @disabled={{not this.canSubmit}} @action={{this.save}}>
        {{capitalize (t "add")}}
      </Input::Button>
    </Manage::Row>
  </:content>
</Manage::Container>